* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body {
    background: #0f0f0f;
    color: white;
}


nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 8%;
    background: #000;
}

.logo {
    color: #ff4500;
}

nav ul {
    display: flex;
    list-style: none;
}

nav ul li {
    margin-left: 25px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    transition: 0.3s;
}

nav ul li a:hover {
    color: #ff4500;
}

/* Dropdown */
.dropdown {
    position: relative;
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;

    background: #1c1c1c;
    min-width: 220px;

    list-style: none;
    display: none;

    border-radius: 8px;
    overflow: hidden;

    box-shadow: 0 10px 20px rgba(0,0,0,.3);
}

.dropdown-menu li {
    margin: 0;
}

.dropdown-menu li a {
    display: block;
    padding: 12px 20px;
    color: white;
    text-decoration: none;
}

.dropdown-menu li a:hover {
    background: #ff4d00;
    color: white;
}

.dropdown:hover .dropdown-menu {
    display: block;
}


.dropdown > a i {
    margin-left: 6px;
    transition: transform 0.3s ease;
    font-size: 12px;
}

.dropdown:hover > a i {
    transform: rotate(180deg);
}

.gallery-section {
    padding: 80px 8%;
}

.heading {
    text-align: center;
    margin-bottom: 50px;
}

.heading h1 {
    font-size: 3rem;
    color: #ff4d00;
}

.heading p {
    color: #aaa;
    margin-top: 10px;
}

.gallery-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 25px;
}

.gallery-item {
    overflow: hidden;
    border-radius: 20px;

    opacity: 0;
    transform: translateY(100px);

    transition: 0.6s;
}

.gallery-item.show {
    opacity: 1;
    transform: translateY(0);
}

.gallery-item img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    transition: 0.5s;
    cursor: pointer;
}

.gallery-item:hover img {
    transform: scale(1.15);
}

.gallery-item:hover {
    box-shadow: 0 0 30px rgba(255, 77, 0, .5);
}

.lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .9);

    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.lightbox img {
    width: 80%;
    max-width: 900px;
    border-radius: 20px;
}

.close {
    position: absolute;
    top: 30px;
    right: 40px;
    color: white;
    font-size: 40px;
    cursor: pointer;
}

footer {
    text-align: center;
    padding: 20px;
    background: #000;
}